.scroller{
height: 100vh;
overflow-y: scroll;
scroll-snap-type: y mandatory;
}

.card-section {
/*height: 100vh;*/
display: flex;
justify-content: center;
align-items: center;
scroll-snap-align: start;
padding-bottom: 20px;
}
.card {
  /*margin: 20px;*/
  /* width: 300px; */
  border-radius: 20px;
  background: rgba(255, 255, 255, 0.6);
  backdrop-filter: blur(10px);
  box-shadow: 0 10px 15px rgba(0,0,0,0.15);
  /* box-shadow: -4px -4px 8px rgba(graphite, 0.7), 4px 4px 8px rgba(graphite, 0.3),inset 16px 16px 32px rgba(graphite, 0.2),inset -16px -16px 32px rgba(graphite, 0.5); */
  /*padding: 20px 30px 20px 20px;*/
  padding-bottom: 20px;
  position: relative;
  overflow: visible;
  animation: reveal linear both; 
  animation-timeline: view();
  animation-range: entry 20% cover 50%;

}

.card-invoice {
  margin: 5px;
  width: 100%;
  text-align: right;
  border-radius: 5px;
  background: rgba(255, 255, 255, 0.6);
  backdrop-filter: blur(10px);
  box-shadow: 0 10px 25px rgba(0,0,0,0.15);
  /* box-shadow: -4px -4px 8px rgba(graphite, 0.7), 4px 4px 8px rgba(graphite, 0.3),inset 16px 16px 32px rgba(graphite, 0.2),inset -16px -16px 32px rgba(graphite, 0.5); */
  padding: 20px 20px 20px 20px;
  position: relative;
  overflow: visible;
  animation: reveal linear both; 
  animation-timeline: view();
  animation-range: entry 20% cover 50%;

}
@keyframes reveal {
  from {
    opacity: 0;
    transform: scale(0.2);
  }
  to {
    opacity: 1;
    transform: scale(1);
  }
  
}

.card-content {
  text-align: center;
  color: #444;
  align-items: center;
}

.image {
  height: 200px;
  font-size: 40px;
  margin-bottom: 10px;
}

.image img {
  width: 300px;
  height: auto;
}

h2 {
  margin: 10px 0;
  font-size: 20px;
}

p {
  font-size: 14px;
  line-height: 1.5;
}

.divider {
  height: 1px;
  background: #ddd;
  margin: 15px 0;
}

.price {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.currency {
  font-size: 18px;
  font-weight: bold;
}

.amount {
  font-size: 20px;
  font-weight: bold;
}

.amount_discount {
  font-size: 10px;
  font-weight: bold;
}

.amount_without_discount {
  font-size: 15px;
  font-weight: bold;
  color:lightcoral;
  text-decoration: line-through;

}



small {
  display: block;
  margin-top: 5px;
  color: #777;
}

.features {
  display: flex;
  justify-content: space-around;
  font-size: 14px;
}
.actions {
  position: absolute;
  bottom: 5px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  border-radius: 15px;
  overflow: hidden;
  box-shadow: 0 5px 5px rgba(0,0,0,0.15);
}

.actions button {
  border: none;
  padding: 10px 20px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

.actions svg {
  width: 20px;
  height: 20px;
  fill: white;
}

/* WhatsApp */
.whatsapp-button {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  width: 100%;
  padding: 14px;
  border: none;
  border-radius: 14px;
  cursor: pointer;
  color: white;
  font-weight: bold;
  font-size: 15px;
  box-shadow: 0 10px 20px rgba(79,70,229,0.4);
  transition: all 0.2s ease;
  background: linear-gradient(135deg, #25D366, #1ebe5d);
}
.whatsapp-button svg {
  width: 20px;
  height: 20px;
  fill: white;
}

/* Phone */
.phone-button {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  width: 100%;
  padding: 14px;
  border: none;
  border-radius: 14px;
  cursor: pointer;
  color: white;
  font-weight: bold;
  font-size: 15px;
  box-shadow: 0 10px 20px rgba(79,70,229,0.4);
  transition: all 0.2s ease;
  background: linear-gradient(135deg, #3b82f6, #2563eb);
}
.phone-button svg {
  width: 20px;
  height: 20px;
  fill: white;
}

/* Hover efecto */
.actions button:hover {
  filter: brightness(1.1);
  transform: scale(1.05);
  transition: all 0.2s ease;
}

.pay-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  width: 100%;
  padding: 14px;
  border: none;
  border-radius: 14px;
  cursor: pointer;
  color: white;
  font-weight: bold;
  font-size: 15px;
  background: linear-gradient(135deg, #6366f1, #4f46e5);
  box-shadow: 0 10px 20px rgba(79,70,229,0.4);
  transition: all 0.2s ease;
}

.pay-btn svg {
  width: 20px;
  height: 20px;
  fill: white;
}

.pay-btn:hover {
  transform: translateY(-2px);
  box-shadow: 0 14px 25px rgba(79,70,229,0.5);
}

.pay-btn:active {
  transform: scale(0.97);
}